Imports Microsoft.VisualBasic
Imports System.ComponentModel

Namespace SilverlightAstoriaQA.NWServiceReference
Partial Public Class Product
	Implements INotifyPropertyChanged
	Public Event PropertyChanged As PropertyChangedEventHandler Implements INotifyPropertyChanged.PropertyChanged

	Private Sub FirePropertyChanged(ByVal propertyName As String)
		Dim handler = PropertyChangedEvent
		If handler IsNot Nothing Then
			handler(Me, New PropertyChangedEventArgs(propertyName))
		End If
	End Sub

	Private Sub OnProductIDChanged()
		FirePropertyChanged("ProductID")
	End Sub
	Private Sub OnProductNameChanged()
		FirePropertyChanged("ProductName")
	End Sub
	Private Sub OnDiscontinuedChanged()
		FirePropertyChanged("Discontinued")
	End Sub
	Private Sub OnDiscontinuedDateChanged()
		FirePropertyChanged("DiscontinuedDate")
	End Sub
	Private Sub OnQuantityPerUnitChanged()
		FirePropertyChanged("QuantityPerUnit")
	End Sub
	Private Sub OnReorderLevelChanged()
		FirePropertyChanged("ReorderLevel")
	End Sub
	Private Sub OnRowVersionStampChanged()
		FirePropertyChanged("RowVersionStamp")
	End Sub
	Private Sub OnUnitPriceChanged()
		FirePropertyChanged("UnitPrice")
	End Sub
	Private Sub OnUnitsInStockChanged()
		FirePropertyChanged("UnitsInStock")
	End Sub
	Private Sub OnUnitsOnOrderChanged()
		FirePropertyChanged("UnitsOnOrder")
	End Sub
End Class
End Namespace
